extends AnimatedSprite2D

## Изменяет состояние значка "прибор на связи"
func set_val(val: bool):
    set_frame(val)
    if val: modulate = Color(0.3, 1.0, 0.3, 1)
    else: modulate = Color(0.5, 0.5, 0.5, 1)
